Core - Feature # 52618

Task # 49162 (Resolved): Rewrite install tool

Status: Resolved Priority: Should have
Author: Christian Kuhn Category: Install Tool
Created: 2013-10-08 Assigned To:

Updated: 2013-10-10 Due date:

PHP Version: 54

Complexity: easy

Sprint Focus:

Subject: ext:install Verify checksum of downloaded core during update

Description

Related issues:
related to Core - Task # 52601: Do not load core update into memory Under Review 2013-10-08
duplicated by Core - Feature # 52617: ext:install Verify checksum of download... Closed 2013-10-08

Associated revisions

Revision bb6b77b5 - 2013-10-10 15:32 - Christian Kuhn

[FEATURE] ext:install Verify checksum of downloaded core

https://get.typo3.org/ison provides checksums of the file content

of each TYPO3 CMS release. The expected shal is now compared with
the actual sha1 of the downloaded files to protect upgrades from
broken downloads and some attack vectors.

Change-Id: 11ec604ed2ef5f53abc930ff360ca2d7267e3c64d
Resolves: #52618

Releases: 6.2

Reviewed-on: https://review.typo3.org/24492

Reviewed-by: Sascha Egerer
Tested-by: Sascha Egerer
Reviewed-by: Markus Klein
Reviewed-by: Anja Leichsenring

Tested-by: Anja Leichsenring

History

#1 - 2013-10-08 23:32 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/24492

#2 - 2013-10-08 23:33 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24492
#3 - 2013-10-09 00:12 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/24492

#4 - 2013-10-10 14:20 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/24492

#5 - 2013-10-10 16:30 - Christian Kuhn
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:bb6b77b588d90a10bb88b9f140e3d4352b4911ac.
